/// <reference path="../../../index.d.ts" />
class TmplDefault {
    constructor(em) {
      console.log('TmplDefault constructor');
      this.evt = em;
    }
    activate() {
        console.log('TmplDefault.activate <');
        this.evt.on('lcPrelaunch', this.prelaunch);
        this.evt.on('lcResume', this.resume);
        this.evt.on('lcSuspend', this.suspend);
        this.evt.on('lcQuit', this.quit);
        console.log('TmplDefault.activate >');
    }
    deactivate() {
        console.log('TmplDefault.dectivate <');
        this.evt.off('lcQuit', this.quit);
        this.evt.off('lcSuspend', this.suspend);
        this.evt.off('lcResume', this.resume);
        this.evt.off('lcPrelaunch', this.prelaunch);
        console.log('TmplDefault.dectivate >');
    }
    prelaunch(winId, orgUrl) {
        console.log('TmplDefault.prelaunch');
        // Implement your code
    }
    resume(winId) {
        console.log('TmplDefault.resume');
        // Implement your code
    }
    suspend(winId) {
        console.log('TmplDefault.suspend');
        // Implement your code
    }
    quit(winId) {
        console.log('TmplDefault.quit');
        // Implement your code
    }
}
module.exports = TmplDefault;
